## fcopulae 260.72

=== DESCRIPTION ===
Package: fCopulae
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Dependence Structures with Copulas
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), adapt, fBasics, fMultivar
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Oct  8 14:08:25 2007; myself

## fcopulae 3000.79

=== DESCRIPTION ===
Package: fCopulae
Version: 3000.79
Revision: 5463
Date: 2013-03-18
Title: Rmetrics - Dependence Structures with Copulas
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), sn, methods, timeDate, timeSeries, fBasics (>=
        2100.78)
Suggests: RUnit, tcltk
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-03-18 05:17:49 UTC; yankee
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-18 07:43:14

## fcopulae 3011.81

=== DESCRIPTION ===
Package: fCopulae
Title: Rmetrics - Bivariate Dependence Structures with Copulae
Date: 2013-03-18
Version: 3011.81
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre]
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching
	"Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fMultivar
Suggests: methods, RUnit, tcltk, mvtnorm, sn
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-09-16 14:55:28 UTC; Tobi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-17 15:56:52

=== inst/unitTests/Makefile ===
PKG=fCopulae
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fcopulae 3042.82

=== DESCRIPTION ===
Package: fCopulae
Title: Rmetrics - Bivariate Dependence Structures with Copulae
Date: 2017-11-12
Version: 3042.82
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a  collection of functions to 
	manage, to investigate and to analyze bivariate financial returns by  
	Copulae. Included are the families of Archemedean, Elliptical, 
	Extreme Value, and Empirical Copulae.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fMultivar
Imports: grDevices, graphics, stats
Suggests: methods, RUnit, tcltk, mvtnorm, sn
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-16 17:28:33 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-16 21:52:15 UTC

## fcopulae 3042.82.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fCopulae
 Title: Rmetrics - Bivariate Dependence Structures with Copulae
 Date: 2017-11-12
-Version: 3042.82
+Version: 3042.82.1
 Author: Diethelm Wuertz [aut],
 	Tobias Setz [cre],
 	Yohan Chalabi [ctb]
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: https://www.rmetrics.org
 NeedsCompilation: no
-Packaged: 2017-11-16 17:28:33 UTC; Tobias Setz
+Packaged: 2020-03-07 10:25:19 UTC; hornik
 Repository: CRAN
-Date/Publication: 2017-11-16 21:52:15 UTC
+Date/Publication: 2020-03-07 11:06:14 UTC

=== debian/changelog ===
fcopulae (3042.82.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:04:40 +0000

fcopulae (3042.82.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Mar 2020 08:00:53 -0500

fcopulae (3042.82-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 21:40:41 -0600

fcopulae (3011.81-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jun 2016 07:14:55 -0500

fcopulae (3011.81-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Added new (Build-)Depends: on r-cran-multivar
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Sep 2014 10:39:47 -0500

fcopulae (3000.79-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Apr 2013 07:01:22 -0500

fcopulae (3000.79-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Mar 2013 06:24:34 -0500

fcopulae (2110.78-1) unstable; urgency=low

  * New upstream release
  
  * Remove (Build-)Depends: on r-cran-adapt 
  * debian/control: Changed Architecture: to any 
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Oct 2009 20:09:25 -0500

fcopulae (2100.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Set Build-Depends: on r-cran-fbasics to (>= 2100.78)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 16:42:23 -0500

fcopulae (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 2100.77)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Apr 2009 21:38:57 -0500

fcopulae (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

  * debian/control: Corrected Architecture: to 'all'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 07:47:50 -0500

fcopulae (270.74-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 21:37:01 -0500

fcopulae (260.72-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fmultivar (>= 260.72)
  * debian/control: Added Build-Depends on xfvb for tcltk lazyload at build

  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Nov 2007 20:48:42 -0600

fcopulae (251.70-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package

  * DESCRIPTION: Set LazyLoad: to 'no' as builds would abort on autoloads of
    tcltk when there is no $DISPLAY defined.
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Jul 2007 20:46:04 -0500

=== debian/control ===
Source: fcopulae
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-copulae
Vcs-Git: https://salsa.debian.org/edd/r-cran-fcopulae.git
Homepage: https://cran.r-project.org/package=fCopulae

Package: r-cran-fcopulae
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends},  r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fCopulae
 This package of functions for financial engineering and computational
 finance is part of Rmetrics, a collection of packages written and
 compiled by Diethelm Wuertz. 
 .
 fCopulae provides functions for (nonlinear) dependence structure modelling.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fCopulae_([-\d\.]*)\.tar.gz

## fcopulae 4021.84

=== debian/changelog ===
fcopulae (4021.84-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Jul 2022 05:39:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: fcopulae
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.3), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
-Standards-Version: 4.5.0
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.2.1), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-copulae
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fcopulae.git
 Homepage: https://cran.r-project.org/package=fCopulae

## fcopulae 4022.85

=== DESCRIPTION ===
Package: fCopulae
Title: Rmetrics - Bivariate Dependence Structures with Copulae
Date: 2023-01-03
Version: 4022.85
Author: Diethelm Wuertz [aut],
	Tobias Setz [aut],
	Yohan Chalabi [ctb],
	Paul Smith [cre]
Maintainer: Paul Smith <paul@waternumbers.co.uk>
Description: Provides a  collection of functions to 
	manage, to investigate and to analyze bivariate financial returns by  
	Copulae. Included are the families of Archemedean, Elliptical, 
	Extreme Value, and Empirical Copulae.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fMultivar
Imports: grDevices, graphics, stats
Suggests: methods, RUnit, tcltk, mvtnorm, sn
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2023-01-07 20:15:28 UTC; paul
Repository: CRAN
Date/Publication: 2023-01-07 22:50:11 UTC

=== debian/changelog ===
fcopulae (4022.85-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jan 2023 17:42:30 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.2.1), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-copulae
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fcopulae.git
 Homepage: https://cran.r-project.org/package=fCopulae

## fcopulae 4052.86

=== DESCRIPTION ===
Package: fCopulae
Title: Rmetrics - Bivariate Dependence Structures with Copulae
Date: 2026-02-21
Version: 4052.86
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [ctb],
  Paul Smith [cre]
Authors@R: c(person(given = "Diethelm",
                      family = "Wuertz",
                      role = "aut"),
               person(given = "Tobias",
                      family = "Setz",
                      role = "aut"),
               person(given = "Yohan",
                      family = "Chalabi",
                      role = "ctb"),
               person(given = "Paul",
                      family = "Smith",
                      role = "cre",
                      email = "paul@waternumbers.co.uk"))	
Maintainer: Paul Smith <paul@waternumbers.co.uk>
Description: Provides a  collection of functions to 
	manage, to investigate and to analyze bivariate financial returns by  
	Copulae. Included are the families of Archemedean, Elliptical, 
	Extreme Value, and Empirical Copulae.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics, fMultivar
Imports: grDevices, graphics, stats
Suggests: methods, RUnit, tcltk, mvtnorm, sn
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2026-02-21 23:11:08 UTC; paul
Repository: CRAN
Date/Publication: 2026-02-22 06:10:13 UTC

=== debian/changelog ===
fcopulae (4052.86-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Change to debhelper-compat (= 13)
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Feb 2026 08:21:07 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-sn, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 2100.78), r-cran-fmultivar, xvfb, xauth, xfonts-base
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-copulae
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fcopulae.git
 Homepage: https://cran.r-project.org/package=fCopulae

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fCopulae_([-\d\.]*)\.tar.gz
